Description

re: forum thread https://labs.parabola.nu/boards/17/topics/330 - this is to be a proper tracking ticket for on-going work toward
stabilizing support for the chromebook C201

we would like to support the C201, but currently none of the parabola devs own one; so we need people to volunteer to use it
regularly, and report any problems - a few have volunteered already - i have subscribed them to this ticket

mai

Time4Tea

BlockHtK
nuclearkev (#dragora IRC - not registered on redmine)
danielp3344

it currently has its own wiki article
https://wiki.parabola.nu/Computers/Asus_Chromebook_C201

because this computer is capable of booting parabola with libreboot, it is deemed to be highly desirable from a software/hardware
freedom perspective, and should be designated with high-priority support status - the eventual goal is to add it to the short list of
well-supported "Recommended ARM Computers"; but it is not clear at this time, if it it still working
https://wiki.parabola.nu/Computers/Recommended_ ARM_Computers

that list is related to ticket #2866

History

#1 - 2021-02-09 03:20 PM - oaken-source

last time | tried it, the parabola arm version worked out of the box on the C201. However, this device is increadibly fiddly to work with. | recall some
weird issues with the boot loader, but once you got it booting, it was solid.

#2 - 2021-02-09 03:27 PM - bill-auger

the most common problem i remember was the graphics, showing only a white screen
#3 - 2021-02-09 04:09 PM - bill-auger
for reference, i have collected the previous issues and discussions related to the C201

the original ticket, which got it working:
https://labs.parabola.nu/issues/1965

the second ticket, which got it working again, after it broke:
https://labs.parabola.nu/issues/2372

various others:
https://labs.parabola.nu/issues/2158
https://labs.parabola.nu/issues/2161
https://labs.parabola.nu/issues/2261
https://labs.parabola.nu/boards/5/topics/297
https://labs.parabola.nu/boards/17/topics/330

#4 - 2021-02-09 06:01 PM - oaken-source

bill-auger wrote:

the most common problem i remember was the graphics, showing only a white screen
the white screen was an indicator for a boot failure

#5 - 2021-03-19 03:41 PM - Time4Tea

Hi, | just saw this ticket and wanted to post a reply. | have been actively using Parabola on a Chromebook C201 for a couple of years now. lt's a
great, lightweight laptop and | very much want to keep using it and help support efforts to improve Parabola support for it, where | can.

| admit | have been using it with the ALARM kernel and non-free firmware, so | can use the onboard Broadcom wifi chip. A couple of years ago, when
| first got it, | also purchased a USB dongle from ThinkPenguin that is supposed to be supported by the libre kernel, but | have had all sorts of issues
with it. If | plug it in and use it for a while, the performance seems quite flaky and it eventually seems to cause the whole system to crash. Therefore,
the only working option | have right now for wifi is with the onboard Broadcom.

| have been trying to update the Parabola system on my C201 recently (last time | updated it was some time last year) and | am experiencing
problems. | have copied my currently working (but outdated) system to a new partition and updated Parabola and the ALARM kernel (to 5.11.2).
However, | am seeing issues with both the panfrost driver for the Mali GPU and the Broadcom wifi. When | try to log in, | see some graphical glitches
with the lightdm greeter and if | switch to a different VT, there are a bunch of error messages being printed about 'unhandled page faults' with
panfrost. However, | am able to log in eventually (I am using Mate), so it seems not to be too critical. So far, it seems that the Broadcom wifi chip is
not working properly with the updated kernel, for some reason (from dmesg it seems to be having issues loading the firmware).

So, currently | have a working Parabola system, but | am not able to update it. Has anyone heard anything about hardware problems being introduced
on armv7 with new versions of the kernel? | will be happy to try out some things, if anyone has any suggestions.

#6 - 2021-03-22 12:29 AM - Time4Tea

FYI: | tried updating my C201 system again today. | copied my working system to a new partition and tried updating just the userspace software, but
without upgrading the kernel, kernel headers and firmware packages. The kernel version | have on the working system is 5.6.2.

The upgrade didn't go well, although the built-in Broadcom wifi was working. So, it seems that must have gotten broken in a recent kernel or firmware
update. At first, it seemed there were still some problems with the panfrost driver, so | blacklisted that. However, | was still seeing some stability
issues with the lightdm greeter. So, | configured systemd to boot straight into the CLI, which worked fine. From there | tried running startx
/usr/bin/mate-session, but it wouldn't start. The Xorg log file has an error message saying:

Error: systemd-logind - unable to get session.

| have no idea what might be causing this. The system upgrade included over 500 packages, so it is very hard to know which one may have caused
the problem. If anyone has any ideas, | would be happy to try some things out.

#7 - 2021-03-22 01:04 AM - bill-auger
- Assignee set to Megver83

- Description updated
